Перейти к содержанию

Cyr

Пользователи
  • Публикаций

    11
  • Зарегистрирован

  • Посещение

  • Победитель дней

    1

Cyr стал победителем дня 14 февраля 2012

Cyr имел наиболее популярный контент!

Репутация

4 Обычный

Информация о Cyr

  • Звание
    Посетитель
  1. А можно организовать интерактивную схему, чтобы при нажатии на объект выводилась информация из БД 1С ?
  2. Возможно ли рисование и изменение объекта чертежа из обработки 1С 7.7?
  3. Да я в курсе. Только не знаю как это свойство задейстовать. Пробую так: var t = ThisDrawing.ModelSpace.AddText("А"+i,x+","+y+",0", h); t.Alignment(10); Не работает
  4. Вообщем, благодаря примеру alan_d у меня получился такой вот "сырой" код: var psf = ThisDrawing.PickfirstSelectionSet; for(var i=0; i < psf.Count; ++i) { var entityObject = psf.Item(i); // получаем объект из селекции var ptMin = new Array(); // левая нижняя точка объекта var ptMax = new Array(); // правая верхняя точка объекта entityObject.GetBoundingBox(ptMin, ptMax); //получить эти точки var tMin = ThisDrawing.Utility.CreateSafeArrayFromVector(ptMin[0]); var tMax = ThisDrawing.Utility.CreateSafeArrayFromVector(ptMax[0]); var pointMin = tMin.toArray(); // координаты левой нижней точки объекта var pointMax = tMax.toArray(); // координаты правой верхней точки объекта ThisDrawing.Utility.Prompt("Границы объекта: " + entityObject.ObjectName); ThisDrawing.Utility.Prompt("Первая точка границы объекта X: " + pointMin[0] + "; Y: " + pointMin[1] + "; Z:" + pointMin[2]); ThisDrawing.Utility.Prompt("Вторая точка границы объекта X: " + pointMax[0] + "; Y: " + pointMax[1] + "; Z:" + pointMax[2]); // Вычисляем координаты центра для текста var x1 = pointMin[0]; var y1 = pointMin[1]; var x2 = pointMax[0]; var y2 = pointMax[1]; var x = (x2-x1)/3+x1; var y = (y2-y1)/3+y1; var h = (y2-y1)/3 // пишем на объекте номер ThisDrawing.ModelSpace.AddText("А"+i,x+","+y+",0", h); } Он пронумеровывает объекты. Беда только в том, что нумерация объектов получается несколько хаотичной. Нужно отсортировать объекты в селекции так, чтобы они нумеровались рядами снизу вверх. Есть ли в NanoCAD команда сортировки объектов в селекции по координатам?
  5. Текст надо выводить в центр квадрата. Выравнивание в объекте "однострочный текст" надо задать.
  6. Выделенные объекты попадают в ThisDrawing.PickfirstSelectionSet А можно простой пример? И ещё как задать центровку выводимого текста? Нужно задать Выравнивание "Середина По центру"
  7. И ещё вопросик. Как можно получить координаты об'ектов, если их выделить сразу несколько ?
  8. ISL, спасибо. Почему в нижеследующем коде цикл выполняется только один раз? : Dim i, point, point_sa, otext For i = 0 To 9 point = ThisDrawing.Utility.GetPoint("0,0,0", "Укажите начальную нижнюю левую точку") point_sa = ThisDrawing.Utility.CreateSafeArrayFromVector(point) ThisDrawing.Utility.Prompt CStr(point_sa(0)) & " " & CStr(point_sa(1)) otext = ThisDrawing.ModelSpace.AddText("100", point, 500) next
  9. Я никак не могу получить координаты Dim point point = ThisDrawing.Utility.GetPoint("0,0,0", "Укажите начальную нижнюю левую точку") ThisDrawing.Utility.Prompt CStr(point(1)) Этот код не работает
  10. У меня проблемма при запуске NC3 и NC3.5. После установки при запуске программы выдаётся ошибка "Файл шаблона "c:\Documents and Settings\user\Application Data\Nanosoft\nanoCAD 3.5\Templates\Default.dwt" не найден. Хотя он там есть. После нажатия ОК программа или зависает или аварийно завершается. Но если программу не устанавливать, а просто распаковать в каталог, то она оттуда нормально запускается и работает. Как это понимать? blackbox.log
×
×
  • Создать...